<div id="page-wrapper">
  <div id="page">
    <?php if ($page['banner']): ?>
      <div id="banner" class="column">
        <aside class="section">
          <?php print render($page['banner']); ?>
        </aside>
      </div>
    <?php endif; ?>
    <header id="header" role="banner">
      <div class="section clearfix">
        <?php if (isset($page['header_top'])): ?>
          <div id="header_top">
            <?php print render($page['header_top']); ?>
          </div>
        <?php endif; ?>

        <div id="header_wrapper">
          <?php if ($secondary_menu): ?>
            <nav id="top_menu" class="navigation" role="navigation">
              <?php print theme('links__system_secondary_menu', array(
                'links' => $secondary_menu,
                'attributes' => array(
                  'id' => 'secondary-menu-links',
                  'class' => array('links', 'inline', 'clearfix'),
                ),
              )); ?>
            </nav>
          <?php endif; ?> 
          
          <div id="site_name">
            <?php if ($logo): print '<a href="' . $front_page . '" title="' . t('Home') . '"><img src="' . check_url($logo) . '" alt="' . t('Home') . '" id="logo" /></a>'; endif; ?>
            <div id="site_info">
              <?php if ($site_name): ?><a class="site-title" href="<?php print $front_page ?>" title="<?php print t('Home'); ?>"><?php print $site_name; ?></a><?php endif; ?>
              <?php if ($site_slogan): ?><div id="site-slogan"><?php print $site_slogan; ?></div><?php endif; ?>
            </div>
          </div>

          <?php if($page['search_box']): ?>
            <div id="search_box"><?php print render($page['search_box']); ?></div>
          <?php endif; ?>

          <?php if($page['header']): ?>
            <div id="header-region" class="blockregion">
              <?php print render($page['header']); ?>
            </div>
          <?php endif; ?>

        </div><!-- /headerWrapper -->

        <?php if ($page['main_menu']): ?>
          <div id="menuLeft"></div>
          <nav id="primaryMenu" class="navigation" role="navigation">
            <div id="menu-icon"></div>
            <?php print render($page['main_menu']); ?>
          </nav>
          <div id="menuRight"></div>
        <?php else: ?> 
          <div id="menuLeft"></div>
            <nav id="primaryMenu" class="navigation" role="navigation">
              <div id="menu-icon"></div>
              <?php print theme('links__system_main_menu', array(
                'links' => $main_menu,
                'attributes' => array(
                  'id' => 'main-menu-links',
                  'class' => array('links', 'menu', 'clearfix'),
                ),
                'heading' => array(
                  'text' => t('Main menu'),
                  'level' => 'h2',
                  'class' => array('element-invisible'),
                ),
              )); ?>
            </nav>
          <div id="menuRight"></div>
        <?php endif; ?>

      </div>
    </header>

    <?php if ($messages): ?>
      <div id="messages">
        <div class="section clearfix">
          <?php print $messages; ?>
        </div>
      </div>
    <?php endif; ?>

    <?php if ($page['featured']): ?>
      <aside id="featured">
        <div class="section clearfix">
          <?php print render($page['featured']); ?>
        </div>
      </aside>
    <?php endif; ?>

    <div id="main-wrapper" class="clearfix">
      <div id="main" class="clearfix">

        <?php if ($page['sidebar_first']): ?>
          <div id="sidebar-first" class="column sidebar">
            <aside class="section">
              <?php print render($page['sidebar_first']); ?>
            </aside>
          </div>
        <?php endif; ?>

        <?php print $breadcrumb; ?>

        <main id="content" class="column" role="main">
          <section class="section">
            <?php if ($page['highlighted']): ?><div id="highlighted"><?php print render($page['highlighted']); ?></div><?php endif; ?>
            <a id="main-content"></a>
            <?php print render($title_prefix); ?>
            <?php if ($title): ?>
              <h1 class="title" id="page-title">
                <?php print $title; ?>
              </h1>
            <?php endif; ?>
            <?php print render($title_suffix); ?>
            <?php if ($tabs): ?>
              <nav class="tabs" role="navigation">
                <?php print render($tabs); ?>
              </nav>
            <?php endif; ?>
            <?php print render($page['help']); ?>
            <?php if ($action_links): ?>
              <ul class="action-links">
                <?php print render($action_links); ?>
              </ul>
            <?php endif; ?>
            <?php print render($page['content']); ?>
            <?php print $feed_icons; ?>

          </section>
        </main>

        <?php if ($page['sidebar_second']): ?>
          <div id="sidebar-second" class="column sidebar">
            <aside class="section">
              <?php print render($page['sidebar_second']); ?>
            </aside>
          </div>
        <?php endif; ?>

      </div>
    </div>

      <?php if ($page['triptych_first'] || $page['triptych_middle'] || $page['triptych_last']): ?>
        <div id="triptych-wrapper">
          <aside id="triptych" class="clearfix">
            <?php print render($page['triptych_first']); ?>
            <?php print render($page['triptych_middle']); ?>
            <?php print render($page['triptych_last']); ?>
          </aside>
        </div>
      <?php endif; ?>

      <div id="footer-wrapper">
        <footer class="section">
          <?php if ($page['footer_firstcolumn'] || $page['footer_secondcolumn'] || $page['footer_thirdcolumn'] || $page['footer_fourthcolumn']): ?>
            <div id="footer-columns" class="clearfix">
              <?php print render($page['footer_firstcolumn']); ?>
              <?php print render($page['footer_secondcolumn']); ?>
              <?php print render($page['footer_thirdcolumn']); ?>
              <?php print render($page['footer_fourthcolumn']); ?>
            </div>
          <?php endif; ?>

          <?php if ($page['footer']): ?>
            <div id="footer" role="contentinfo" class="clearfix">
              <?php print render($page['footer']); ?>
            </div>
          <?php endif; ?>
   
          <?php if ($page['footer_message']): ?>
            <div id="footer_message" class="clearfix">
              <?php print render($page['footer_message']); ?>
            </div>
          <?php else: ?>
            <div id="footer_message" class="clearfix">Theme provided by <a href="http://www.carettedonny.be" title="Carette Donny">Carette Donny</a></div>          
          <?php endif; ?>

        </footer>
      </div>
  </div>
</div>
